## ros-melodic-test-diagnostic-aggregator 1.9.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(test_diagnostic_aggregator)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED diagnostic_aggregator diagnostic_msgs pluginlib roscpp rospy rostest)

catkin_package(DEPENDS diagnostic_aggregator diagnostic_msgs pluginlib roscpp rospy
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)

include_directories(SYSTEM ${catkin_INCLUDE_DIRS})
include_directories(include)

add_library(test_diagnostic_aggregator
  src/match_no_analyze_analyzer.cpp
  src/fail_init_analyzer.cpp)
add_dependencies(test_diagnostic_aggregator ${catkin_EXPORTED_TARGETS})
target_link_libraries(test_diagnostic_aggregator ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/launch/test_match_no_analyze_analyzer_load.launch)

  # Tests that an item can be matched, not analyzed, and reported in "Other"
  add_rostest(test/launch/test_match_no_analyze.launch)

  # Tests that item can be matched, not analyzed, but analyzed by another Analyzer
  add_rostest(test/launch/test_match_then_analyze.launch)

  # Tests that analyzers that fail to load will report an error in the diagnostics
  add_rostest(test/launch/test_fail_init.launch)

  # Tests that analyzers specified both with and without package name load correctly
  add_rostest(test/launch/test_dual_analyzer_load.launch)
endif()

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES test_diagnostic_aggregator_plugin.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-test-diagnostic-aggregator (1.9.7-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 02 Sep 2020 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.9.6-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 17 Aug 2020 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.9.5-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sun, 09 Aug 2020 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.9.3-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.9.2-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.9.1-1stretch) stretch; urgency=high

  * Add queue size parameters on Publishers
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.9.0-1stretch) stretch; urgency=high

  * Fix cmake warnings
  * Changed all deprecated PLUGINLIB_DECLARE_CLASS to PLUGINLIB_EXPORT_CLASS macros
  * Contributors: Aris Synodinos, trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.10-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.9-1stretch) stretch; urgency=high

  * Add version dependencies in package.xml
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.8-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.7-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.6-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.5-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.4-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.3-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.2-1stretch) stretch; urgency=high

  * No more roslib
  * Fix linking
  * Protect tests behind CATKIN_ENABLE_TESTING.
    Fixes #13 <https://github.com/ros/diagnostics/issues/13>
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.1-1stretch) stretch; urgency=high

  * Add myself as maintainer
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sun, 06 Apr 2014 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.8.0-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 02 Apr 2013 22:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.11-1stretch) stretch; urgency=high

  * catkin libraries are linked
  * Added rostest to build requirements
    Not sure how this one slipped through, but rostest is find_package()'d in the CMakeLists.txt.
  * Contributors: Mehmet Murat Sevim, Scott K Logan

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 18:24:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.10-1stretch) stretch; urgency=high

  * Changed package.xml version number before releasing
  * Contributors: Brice Rebsamen

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 21 Feb 2013 23:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.9-1stretch) stretch; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 13 Dec 2012 23:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.8-1stretch) stretch; urgency=high

  * fix issue #3 <https://github.com/ros/diagnostics/issues/3>
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 05 Dec 2012 23:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.7-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 09 Nov 2012 23:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.6-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 22:32:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.5-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 20:53:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.4-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 19:18:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.3-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sat, 03 Nov 2012 23:00:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.2-1stretch) stretch; urgency=high

  * fix rostest
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 30 Oct 2012 21:31:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.1-1stretch) stretch; urgency=high

  * fix a few things after the first release
  * fix a few things all over
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 30 Oct 2012 14:30:00 -0000

ros-melodic-test-diagnostic-aggregator (1.7.0-1stretch) stretch; urgency=high

  * catkinize the stack


=== debian/control ===
Source: ros-melodic-test-diagnostic-aggregator
Section: misc
Priority: optional
Maintainer: Brice Rebsamen <brice.rebsamen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-aggregator (>= 1.8.9), ros-melodic-diagnostic-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest
Homepage: http://ros.org/wiki/test_diagnostic_aggregator
Standards-Version: 3.9.2

Package: ros-melodic-test-diagnostic-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-aggregator (>= 1.8.9), ros-melodic-diagnostic-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rospy
Description: Basic diagnostic_aggregator tests are in the
